Package org.springframework.security.web.util.matcher

# Class AndRequestMatcher

java.lang.Object
org.springframework.security.web.util.matcher.AndRequestMatcher

All Implemented Interfaces:
  `RequestMatcher`

public final class AndRequestMatcher extends Object implements RequestMatcher
`RequestMatcher` that will return true if all of the passed in `RequestMatcher` instances match.

Since:
  3.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.util.matcher.RequestMatcher

`RequestMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`AndRequestMatcher(List<RequestMatcher> requestMatchers)`
Creates a new instance
`AndRequestMatcher(RequestMatcher... requestMatchers)`
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`RequestMatcher.MatchResult`
`matcher(jakarta.servlet.http.HttpServletRequest request)`
Returns a `RequestMatcher.MatchResult` for this `HttpServletRequest`.
`boolean`
`matches(jakarta.servlet.http.HttpServletRequest request)`
Decides whether the rule implemented by the strategy matches the supplied request.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AndRequestMatcher

public AndRequestMatcher(List<RequestMatcher> requestMatchers)
Creates a new instance

Parameters:
  `requestMatchers` - the `RequestMatcher` instances to try

### AndRequestMatcher

public AndRequestMatcher(RequestMatcher... requestMatchers)
Creates a new instance

Parameters:
  `requestMatchers` - the `RequestMatcher` instances to try

## Method Details

### matches

public boolean matches(jakarta.servlet.http.HttpServletRequest request)
Description copied from interface: `RequestMatcher`
Decides whether the rule implemented by the strategy matches the supplied request.

Specified by:
  `matches` in interface `RequestMatcher`
Parameters:
  `request` - the request to check for a match
Returns:
  true if the request matches, false otherwise

### matcher

public RequestMatcher.MatchResult matcher(jakarta.servlet.http.HttpServletRequest request)
Returns a `RequestMatcher.MatchResult` for this `HttpServletRequest`. In the case of a match, request variables are a composition of the request variables in underlying matchers. In the event that two matchers have the same key, the last key is the one propagated.

Specified by:
  `matcher` in interface `RequestMatcher`
Parameters:
  `request` - the HTTP request
Returns:
  a `RequestMatcher.MatchResult` based on the given HTTP request
Since:
  6.1

### toString

public String toString()

Overrides:
  `toString` in class `Object`